OpenNMS API 1.2.9

## org.opennms.netmgt.config.rtc
Class RTCConfiguration

    java.lang.Object
      org.opennms.netmgt.config.rtc.RTCConfiguration

All Implemented Interfaces:
  java.io.Serializable

public class RTCConfiguration
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private int` `_errorsBeforeUrlUnsubscribe`
`private boolean` `_has_errorsBeforeUrlUnsubscribe` keeps track of state for field: _errorsBeforeUrlUnsubscribe
`private boolean` `_has_maxEventsBeforeResend` keeps track of state for field: _maxEventsBeforeResend
`private boolean` `_has_senders` keeps track of state for field: _senders
`private boolean` `_has_updaters` keeps track of state for field: _updaters
`private java.lang.String` `_highThresholdInterval`
`private java.lang.String` `_lowThresholdInterval`
`private int` `_maxEventsBeforeResend`
`private java.lang.String` `_rollingWindow`
`private int` `_senders`
`private int` `_updaters`
`private java.lang.String` `_userRefreshInterval`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`RTCConfiguration()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`int` `getErrorsBeforeUrlUnsubscribe()` Returns the value of field 'errorsBeforeUrlUnsubscribe'.
`java.lang.String` `getHighThresholdInterval()` Returns the value of field 'highThresholdInterval'.
`java.lang.String` `getLowThresholdInterval()` Returns the value of field 'lowThresholdInterval'.
`int` `getMaxEventsBeforeResend()` Returns the value of field 'maxEventsBeforeResend'.
`java.lang.String` `getRollingWindow()` Returns the value of field 'rollingWindow'.
`int` `getSenders()` Returns the value of field 'senders'.
`int` `getUpdaters()` Returns the value of field 'updaters'.
`java.lang.String` `getUserRefreshInterval()` Returns the value of field 'userRefreshInterval'.
`boolean` `hasErrorsBeforeUrlUnsubscribe()`
`boolean` `hasMaxEventsBeforeResend()`
`boolean` `hasSenders()`
`boolean` `hasUpdaters()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setErrorsBeforeUrlUnsubscribe(int errorsBeforeUrlUnsubscribe)` Sets the value of field 'errorsBeforeUrlUnsubscribe'.
`void` `setHighThresholdInterval(java.lang.String highThresholdInterval)` Sets the value of field 'highThresholdInterval'.
`void` `setLowThresholdInterval(java.lang.String lowThresholdInterval)` Sets the value of field 'lowThresholdInterval'.
`void` `setMaxEventsBeforeResend(int maxEventsBeforeResend)` Sets the value of field 'maxEventsBeforeResend'.
`void` `setRollingWindow(java.lang.String rollingWindow)` Sets the value of field 'rollingWindow'.
`void` `setSenders(int senders)` Sets the value of field 'senders'.
`void` `setUpdaters(int updaters)` Sets the value of field 'updaters'.
`void` `setUserRefreshInterval(java.lang.String userRefreshInterval)` Sets the value of field 'userRefreshInterval'.
`static RTCConfiguration` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _updaters

    private int _updaters

### _has_updaters

    private boolean _has_updaters

  keeps track of state for field: _updaters

### _senders

    private int _senders

### _has_senders

    private boolean _has_senders

  keeps track of state for field: _senders

### _rollingWindow

    private java.lang.String _rollingWindow

### _maxEventsBeforeResend

    private int _maxEventsBeforeResend

### _has_maxEventsBeforeResend

    private boolean _has_maxEventsBeforeResend

  keeps track of state for field: _maxEventsBeforeResend

### _lowThresholdInterval

    private java.lang.String _lowThresholdInterval

### _highThresholdInterval

    private java.lang.String _highThresholdInterval

### _userRefreshInterval

    private java.lang.String _userRefreshInterval

### _errorsBeforeUrlUnsubscribe

    private int _errorsBeforeUrlUnsubscribe

### _has_errorsBeforeUrlUnsubscribe

    private boolean _has_errorsBeforeUrlUnsubscribe

  keeps track of state for field: _errorsBeforeUrlUnsubscribe

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### RTCConfiguration

    public RTCConfiguration()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getErrorsBeforeUrlUnsubscribe

    public int getErrorsBeforeUrlUnsubscribe()

  Returns the value of field 'errorsBeforeUrlUnsubscribe'.

  Returns:
    the value of field 'errorsBeforeUrlUnsubscribe'.

### getHighThresholdInterval

    public java.lang.String getHighThresholdInterval()

  Returns the value of field 'highThresholdInterval'.

  Returns:
    the value of field 'highThresholdInterval'.

### getLowThresholdInterval

    public java.lang.String getLowThresholdInterval()

  Returns the value of field 'lowThresholdInterval'.

  Returns:
    the value of field 'lowThresholdInterval'.

### getMaxEventsBeforeResend

    public int getMaxEventsBeforeResend()

  Returns the value of field 'maxEventsBeforeResend'.

  Returns:
    the value of field 'maxEventsBeforeResend'.

### getRollingWindow

    public java.lang.String getRollingWindow()

  Returns the value of field 'rollingWindow'.

  Returns:
    the value of field 'rollingWindow'.

### getSenders

    public int getSenders()

  Returns the value of field 'senders'.

  Returns:
    the value of field 'senders'.

### getUpdaters

    public int getUpdaters()

  Returns the value of field 'updaters'.

  Returns:
    the value of field 'updaters'.

### getUserRefreshInterval

    public java.lang.String getUserRefreshInterval()

  Returns the value of field 'userRefreshInterval'.

  Returns:
    the value of field 'userRefreshInterval'.

### hasErrorsBeforeUrlUnsubscribe

    public boolean hasErrorsBeforeUrlUnsubscribe()

### hasMaxEventsBeforeResend

    public boolean hasMaxEventsBeforeResend()

### hasSenders

    public boolean hasSenders()

### hasUpdaters

    public boolean hasUpdaters()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setErrorsBeforeUrlUnsubscribe

    public void setErrorsBeforeUrlUnsubscribe(int errorsBeforeUrlUnsubscribe)

  Sets the value of field 'errorsBeforeUrlUnsubscribe'.

  Parameters:
    `errorsBeforeUrlUnsubscribe` - the value of field 'errorsBeforeUrlUnsubscribe'.

### setHighThresholdInterval

    public void setHighThresholdInterval(java.lang.String highThresholdInterval)

  Sets the value of field 'highThresholdInterval'.

  Parameters:
    `highThresholdInterval` - the value of field 'highThresholdInterval'.

### setLowThresholdInterval

    public void setLowThresholdInterval(java.lang.String lowThresholdInterval)

  Sets the value of field 'lowThresholdInterval'.

  Parameters:
    `lowThresholdInterval` - the value of field 'lowThresholdInterval'.

### setMaxEventsBeforeResend

    public void setMaxEventsBeforeResend(int maxEventsBeforeResend)

  Sets the value of field 'maxEventsBeforeResend'.

  Parameters:
    `maxEventsBeforeResend` - the value of field 'maxEventsBeforeResend'.

### setRollingWindow

    public void setRollingWindow(java.lang.String rollingWindow)

  Sets the value of field 'rollingWindow'.

  Parameters:
    `rollingWindow` - the value of field 'rollingWindow'.

### setSenders

    public void setSenders(int senders)

  Sets the value of field 'senders'.

  Parameters:
    `senders` - the value of field 'senders'.

### setUpdaters

    public void setUpdaters(int updaters)

  Sets the value of field 'updaters'.

  Parameters:
    `updaters` - the value of field 'updaters'.

### setUserRefreshInterval

    public void setUserRefreshInterval(java.lang.String userRefreshInterval)

  Sets the value of field 'userRefreshInterval'.

  Parameters:
    `userRefreshInterval` - the value of field 'userRefreshInterval'.

### unmarshal

    public static RTCConfiguration unmarshal(java.io.Reader reader)
                                      throws org.exolab.castor.xml.MarshalException,
                                             org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.